%global npm_name asn1

Name: nodejs-asn1
Version: 0.2.4
Release: %mkrel 4
Summary: Contains parsers and serializers for ASN
License: MIT
Group: Development/Other
URL: https://github.com/joyent/node-asn1#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(safer-buffer) >= 2.1.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.2.4-4.mga9
+ Revision: 1820233
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 joequant <joequant> 0.2.4-3.mga8
+ Revision: 1601966
- redo deps

* Fri Feb 14 2020 umeabot <umeabot> 0.2.4-2.mga8
+ Revision: 1521215
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 0.2.4-1.mga7
+ Revision: 1341680
- imported package nodejs-asn1

